Name:           python-superqt
Version:        0.6.7
Release:        %mkrel 3
Summary:        Missing widgets and components for PyQt/PySide
Group:          Development/Python

License:        BSD-3-Clause
URL:            https://pypi.org/project/superqt/
Source:         %{pypi_source superqt}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
High-quality community-contributed Qt widgets and components for PyQt & PySide
that are not provided in the native QtWidgets module.}

%description %_description

%package -n     python3-superqt
Summary:        %{summary}

Obsoletes:      python3-superqt+pyside2 < 0.6.7-2

%description -n python3-superqt %_description

# Review which extras should be actually packaged
%pyproject_extras_subpkg -n python3-superqt cmap,font-fa5,font-fa6,font-mi6,font-mi7,iconify,pyqt5,pyqt6,pyside6,quantity


%prep
%autosetup -p1 -n superqt-%{version}
# relax requirement on pyside6 to avoid bad interpretation of them
sed -ie "s/ !=6.5.0,!=6.5.1,!=6.6.2//" pyproject.toml
# relax requirement on pyqt6 as it is only a issue with testing
sed -ie "s/<6.7//" pyproject.toml

%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x cmap,font-fa5,font-fa6,font-mi6,font-mi7,iconify,quantity


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files superqt

%check
# we don't have pytest-qt

%files -n python3-superqt -f %{pyproject_files}
%doc README.md CHANGELOG.md



%changelog
* Tue Sep 24 2024 papoteur <papoteur> 0.6.7-3.mga10
+ Revision: 2100825
- really obsolete python3-superqt+pyside2

* Mon Sep 23 2024 papoteur <papoteur> 0.6.7-2.mga10
+ Revision: 2100665
- remove python3-superqt+pyside2 we do not have pyside2 anymore
- relax requirements on pyqt6 and pyside6

* Fri Sep 20 2024 papoteur <papoteur> 0.6.7-1.mga10
+ Revision: 2099540
- imported package python-superqt

